### Hierarchy

- LatLngBounds
  - LatLngBounds

## Index

### Properties

- LatLngBounds

### Methods

- contains
- equals
- extend
- getCenter
- getEast
- getNorth
- getNorthEast
- getNorthWest
- getSouth
- getSouthEast
- getSouthWest
- getWest
- intersects
- isValid
- pad
- toBBoxString

## Properties

### Static LatLngBounds

LatLngBounds: LatLngBoundsStatic

- Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1550

## Methods

### Static contains

- contains(otherBounds: LatLngBoundsExpression): boolean
- contains(latlng: LatLngExpression): boolean

- Inherited from LatLngBounds.contains

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1611

  Returns true if the rectangle contains the given one.

  #### Parameters

  - ##### otherBounds: LatLngBoundsExpression

  #### Returns boolean

- Inherited from LatLngBounds.contains

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1616

  Returns true if the rectangle contains the given point.

  #### Parameters

  - ##### latlng: LatLngExpression

  #### Returns boolean

### Static equals

- equals(otherBounds: LatLngBoundsExpression): boolean

- Inherited from LatLngBounds.equals

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1627

  Returns true if the rectangle is equivalent (within a small margin of error) to the given bounds.

  #### Parameters

  - ##### otherBounds: LatLngBoundsExpression

  #### Returns boolean

### Static extend

- extend(latlng: LatLngExpression): LatLngBounds
- extend(latlng: LatLngBoundsExpression): LatLngBounds

- Inherited from LatLngBounds.extend

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1556

  Extends the bounds to contain the given point.

  #### Parameters

  - ##### latlng: LatLngExpression

  #### Returns LatLngBounds

- Inherited from LatLngBounds.extend

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1561

  Extends the bounds to contain the given bounds.

  #### Parameters

  - ##### latlng: LatLngBoundsExpression

  #### Returns LatLngBounds

### Static getCenter

- getCenter(): LatLng

- Inherited from LatLngBounds.getCenter

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1606

  Returns the center point of the bounds.

  #### Returns LatLng

### Static getEast

- getEast(): number

- Inherited from LatLngBounds.getEast

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1591

  Returns the east longitude in degrees of the bounds.

  #### Returns number

### Static getNorth

- getNorth(): number

- Inherited from LatLngBounds.getNorth

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1596

  Returns the north latitude in degrees of the bounds.

  #### Returns number

### Static getNorthEast

- getNorthEast(): LatLng

- Inherited from LatLngBounds.getNorthEast

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1571

  Returns the north-east point of the bounds.

  #### Returns LatLng

### Static getNorthWest

- getNorthWest(): LatLng

- Inherited from LatLngBounds.getNorthWest

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1576

  Returns the north-west point of the bounds.

  #### Returns LatLng

### Static getSouth

- getSouth(): number

- Inherited from LatLngBounds.getSouth

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1601

  Returns the south latitude in degrees of the bounds.

  #### Returns number

### Static getSouthEast

- getSouthEast(): LatLng

- Inherited from LatLngBounds.getSouthEast

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1581

  Returns the south-east point of the bounds.

  #### Returns LatLng

### Static getSouthWest

- getSouthWest(): LatLng

- Inherited from LatLngBounds.getSouthWest

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1566

  Returns the south-west point of the bounds.

  #### Returns LatLng

### Static getWest

- getWest(): number

- Inherited from LatLngBounds.getWest

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1586

  Returns the west longitude in degrees of the bounds.

  #### Returns number

### Static intersects

- intersects(otherBounds: LatLngBoundsExpression): boolean

- Inherited from LatLngBounds.intersects

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1621

  Returns true if the rectangle intersects the given bounds.

  #### Parameters

  - ##### otherBounds: LatLngBoundsExpression

  #### Returns boolean

### Static isValid

- isValid(): boolean

- Inherited from LatLngBounds.isValid

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1644

  Returns true if the bounds are properly initialized.

  #### Returns boolean

### Static pad

- pad(bufferRatio: number): LatLngBounds

- Inherited from LatLngBounds.pad

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1639

  Returns bigger bounds created by extending the current bounds by a given percentage in each direction.

  #### Parameters

  - ##### bufferRatio: number

  #### Returns LatLngBounds

### Static toBBoxString

- toBBoxString(): string

- Inherited from LatLngBounds.toBBoxString

  - Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1633

  Returns a string with bounding box coordinates in a 'southwest_lng,southwest_lat,northeast_lng,northeast_lat' format. Useful for sending requests to web services that return geo data.

  #### Returns string

Generated using TypeDoc